Page MenuHomePhabricator

[llvm-readobj] Generic hex-dump option
ClosedPublic

Authored by paulsemel on Jul 19 2018, 7:26 AM.

Details

Summary

Helpers are available to make this option file format independant. This patch adds the feature for Wasm file format. It doesn't change the behavior of the other file format handling.

Diff Detail

Repository
rL LLVM

Event Timeline

paulsemel created this revision.Jul 19 2018, 7:26 AM

A more detailed commit message (is this meant to change behavior? what's change? if it's mostly/only a refactor - what's the end goal? (or is this retroactive tidy-up?)) would be good.

test/tools/llvm-readobj/print-hex.test
10 ↗(On Diff #156268)

What's happening in these test changes?

paulsemel updated this revision to Diff 156574.Jul 20 2018, 1:02 PM
paulsemel marked an inline comment as done.

Fixed the behavior between ELF and other file formats.

paulsemel edited the summary of this revision. (Show Details)Jul 20 2018, 1:03 PM
paulsemel added inline comments.Jul 20 2018, 1:37 PM
test/tools/llvm-readobj/print-hex.test
10 ↗(On Diff #156268)

That's a mistake from my part, should have paid more attention ! The problem is that ELF is the only format with 0 based indexes.

Looks good - though needs a test case for the new functionality (a WAsm example, going from the patch description).

Added a WAsm test

dblaikie accepted this revision.Jul 24 2018, 12:18 PM

Looks good - thanks!

This revision is now accepted and ready to land.Jul 24 2018, 12:18 PM
This revision was automatically updated to reflect the committed changes.